My Oracle Support Banner

RMAN: 在尝试注册LINUX上18.3的目标库到AIX上CATALOG SCHEMA VERSION为18.03.00.00.00的12.2的catalog DB时碰到Segmentation Fault错误 (Doc ID 2577540.1)

Last updated on AUGUST 29, 2019

适用于:

Oracle Database - Enterprise Edition - 版本 18.3.0.0.0 和更高版本
本文档所含信息适用于所有平台

症状

 

尝试注册18.3目标数据库时发生segmentation fault(HETEROGENEOUS)。

目标数据库和catalog DB位于不同的操作系统中。

比如 :-

目标数据库在Linux x86-64操作系统上并且数据库版本是18.3,catalog DB在AIX上。
catalog DB版本为12.2.0.1,CATALOG SCHEMA VERSION为18.03.00.00.00



Catalog schema 版本是:

SQL> select * from rcver;
VERSION
---------------
18.03.00.00.00

>Catalog DB版本: 12.2.0.1
>目标数据库版本: 18.3


注册到此Catalog DB的其他数据库运行良好。
此问题仅发生在目标库版本为18.3,catalog schema在另一个平台的12.2的数据库上时。



rman target / CATALOG rman/<password>@<catalog>
Recovery Manager: Release 18.0.0.0.0 - Production on Mon Jan 14 09:00:59 2019
Version 18.3.0.0.0

connected to target database: <name> (DBID=xxxxxxxxxx)
connected to recovery catalog database

RMAN> register database;

Segmentation fault (core dumped)



在应用补丁 28018962 后会出现

<span class="sBugInternalContent">RMAN-10033: error during compilation of job step 1: ORA-3115: unsupported </span>
<span class="sBugInternalContent"> network datatype or representation</span>

 

原因

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


文档内容
症状
原因
解决方案
参考

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.